MPD

- Main Page
- Data Structures
- Files

- File List
- Globals

Defines | Functions

# src/playlist_database.h File Reference

`#include "check.h"`
`#include <stdbool.h>`
`#include <stdio.h>`
`#include <glib.h>`

Go to the source code of this file.

## Defines
#define | PLAYLIST_META_BEGIN "playlist_begin: "
## Functions
void | playlist_vector_save (FILE *fp, const struct playlist_vector *pv)
bool | playlist_metadata_load (FILE *fp, struct playlist_vector *pv, const char *name, GString *buffer, GError **error_r)

## Define Documentation

#define PLAYLIST_META_BEGIN "playlist_begin: "

Definition at line 29 of file playlist_database.h.

## Function Documentation

bool playlist_metadata_load | ( | FILE * | fp,
|  | struct playlist_vector * | pv,
|  | const char * | name,
|  | GString * | buffer,
|  | GError ** | error_r
| ) |  |

void playlist_vector_save | ( | FILE * | fp,
|  | const struct playlist_vector * | pv
| ) |  |